{% macro _news_preview(article) %}
  <article class="col-12 col-lg-4 d-flex flex-column">
    <div class="card text-bg-light flex-fill shadow h-100">
      <div class="card-body">
        <time class="text-muted mb-2">{{ article.get_ui_published_at() }}</time>
        <h3
          id="article-title-{{ article.id }}"
          class="fs-4 card-title text-primary mb-4"
        >
          {{ article.title }}
        </h3>
        <p class="card-text mb-4">{{ article.teaser }}</p>
        <a
          href="{{ article.get_path() }}"
          class="icon-link icon-link-hover fw-semibold text-primary stretched-link"
          aria-labelledby="article-title-{{ article.id }}"
        >
          Weiterlesen
          <svg
            xmlns="http://www.w3.org/2000/svg"
            width="16"
            height="16"
            fill="currentColor"
            class="bi bi-arrow-right"
            viewBox="0 0 16 16"
            aria-hidden="true"
          >
            <path
              fill-rule="evenodd"
              d="M1 8a.5.5 0 0 1 .5-.5h11.793l-3.147-3.146a.5.5 0 0 1 .708-.708l4 4a.5.5 0 0 1 0 .708l-4 4a.5.5 0 0 1-.708-.708L13.293 8.5H1.5A.5.5 0 0 1 1 8"
            />
          </svg>
        </a>
      </div>
    </div>
  </article>
{% endmacro %}

{% macro news_grid(news) %}
  <div class="row g-5">
    {% for article in news %}
      {{ _news_preview(article) }}
    {% endfor %}
  </div>
{% endmacro %}

{% macro news_small_preview(article) %}
  <a
    class="link-underline link-underline-opacity-0"
    href="{{ article.get_path() }}"
  >
    <div class="card text-bg-light mb-3 shadow">
      <div class="card-body">
        <div class="text-primary mb-2 fw-semibold">
          {{ article.get_ui_published_at() }}
        </div>
        <h3 class="fs-6 card-title mb-0">{{ article.title }}</h3>
      </div>
    </div>
  </a>
{% endmacro %}
